\name{entropy}
\alias{mps.entropy}
\title{Calculates the entropy of distributions}
\description{
  Calculates the entropy of distribution
}
\usage{
mps.entropy(tab,ref=1)
}
\arguments{
  \item{tab}{a table probabilities (not necessaryly closed). If a table
    or a vector the overall entropy is calculated. If a matrix, the
    entropy is calculated row by row.
  }
  \item{ref}{A reference distribution for which the relative entropy
    should be calculated. If 1 the classical entropy is calculated. If
    tab is table, ref can give a marginal distribution.}
}
\value{
  A number or vector giving the entropy of the distribution in Bit.
}
\details{
  
}
\references{
}
\seealso{
}
\examples{
data(chanalEx1)
bwTraining <- mps.cutoff(chanalEx1)
locs <- mps.locSetStar(1,4,0)
locs
ct1 <-  mps.tabulate(bwTraining,locs)

mps.entropy(ct1)
idp <- mps.independent(ct1)
mps.entropy(idp)
mps.entropy(idp,idp)
mps.entropy(ct1,idp)

mps.entropy(ct1)
mps.entropy(mps.reweight(ct1,c(10,1)))
mps.entropy(mps.changespecificy(ct1,-1))
mps.entropy(mps.changespecificy(ct1,-10))
mps.entropy(mps.changespecificy(ct1,1))
mps.entropy(mps.changespecificy(ct1,3))

mps.entropy(mps.changespecificy(ct1,indep=0.5))
mps.entropy(mps.changespecificy(ct1,indep=1))

mps.entropy(mps.changespecificy(ct1,-10,indep=0.1,mar=c(1,1)))


}
\author{K.Gerald van den Boogaart}
\keyword{}