\name{mps.ExampleOps}
\alias{mps.ExampleOps}
\title{Generating a example observation for mps}
\description{
  Generates a random black and white example observations (black and
  white) on randomly selected points in an image. 
}
\usage{
mps.ExampleOps(d,n,...,p=0.5) 
}
\arguments{
  \item{d}{The dimension of the image. Typically \code{c(n,m)}. }
  \item{n}{The number of observation points to be selected.}
  \item{\dots}{further parameters to \code{\link{mps.image}}}
  \item{p}{The probabilty for 1 in the simulated observations.} 
}
\value{
An image of size d with n pixels randomly set and all other pixels set to -1 (=not
observed) 
}
\details{
}
\references{
}
\seealso{
}
\examples{
observed <- mps.ExampleOps(d=c(200,200),300,p=0.3)
plot(observed)
}
\author{K.Gerald van den Boogaart}
\keyword{}