\name{mps.fillplans}
\alias{mps.fillplans}
\alias{mps.fillplans2D}
\title{Calculated simulation sequces for incremental simulation.}
\description{
  Calculates a sequences for the incremental simulation of the image.
}
\usage{
mps.fillplans(image,stepsize) 
mps.fillplans2D(image,stepsize)
}
\arguments{
  \item{image}{The image to be simulated }
  \item{stepsize}{}
}
\value{
  The value is a list of plans. A plan is a list of three items: 1) grid:The
  pixel positons to be interpolated. 2) pgrid: position of these pixels 
  in the memory and 3) locs: the relative locations to be
  conditioning points to be used. 
}
\details{
  This method is used internally to determine the sequence of simulation.
  The 2D method generates more sophisticated plans for 2D situations.
}
\references{
}
\seealso{
}
\note{
  There is a known bug: The plan does not exclude points at the edges of
  the area that can not be simulated by this plan.
}
\examples{
observed <- mps.ExampleOps(d=c(20,20),30,p=0.3)
mps.fillplans2D(observed,10)
mps.fillplans(observed,10)
}
\author{K.Gerald van den Boogaart}
\keyword{}