\name{mps.find}
\alias{mps.findPositions}
\alias{mps.findNeighbours}
\title{Find special location in an image}
\description{
  Finds nonmissing  positions in an image.
}
\usage{
mps.findPositions(image,nacode=-1,...)
mps.findNeighbours(x,y=mps.findPositions(image,nacode),
                               hmax,nmax=nrow(y),nmin=5,image,
                               nacode=-1,givePos=FALSE)

}
\arguments{
  \item{image}{The image}
  \item{nacode}{What is to be considered as not available.}
  \item{x}{The positions which would we would like to find neighbouring
nonmissing values for.}
  \item{y}{A matrix giving the coordinates of the nonmissing pixel
positions.}
  \item{hmax}{The maximum distance for a neighbourhood.} 
  \item{nmax}{The maximum number of posititions to be given (overwrites hmax)}
  \item{nmin}{The minimum number of posititions to be given (overwrites
hmax)}
  \item{givePos}{If TRUE the positions are reported. If FALSE the index
of the positions in y is reported.}
  \item{\dots}{Not used}
}
\value{
  For \code{mps.findPositions} a
  Matrix with as many columns as the image has dimensions. The columns
  give the coordinates of the nonmissing locations.
\cr
  For \code{mps.findNeighbours} either a list of such matrices or a list
  of integer vectors giving the indices of the neighbours.
}
\details{
   The function is used internally in the initialisation phase of the
   mps-algorithm
   to do simulations for the major grid positions.   
}
\references{
}
\seealso{
}
\examples{
observed <- mps.ExampleOps(d=c(10,10),5)
mps.findPositions(observed)

}
\author{K.Gerald van den Boogaart}
\keyword{}