\name{mps.tabulate}
\alias{mps.tabulate}
\alias{mps.xtabulate}
\alias{mps.weightedtabulate}
\title{Cross tabulation from a training image}
\description{
  
}
\usage{
mps.tabulate(X,locs)
mps.xtabulate(X,locs,scale=1,rot=0,outer=FALSE,rescale=1,sym=FALSE,weights=NULL)
mps.weightedtabulate(X,locs,weights,dist=30)
}
\arguments{
  \item{X}{the training image}
  \item{locs}{a matrix giving a relative configration of pixels. Each
    row corresponds to one location.}
  \item{scale}{a vector of scalings of locs}
  \item{rot}{a vector of rotation of locs}
  \item{outer}{if true each scale is used with each rotation}
  \item{rescale}{a general scaler giving an additional scaling}
  \item{sym}{Either a logical specifying wether to use the symmetry
    attribute of the location star or a symmtry set given as a matrix
    with each column a permutation of row indices for loc.}
  \item{weights}{The relative weights of the different facies}
  \item{dist}{The distance in which the weighting acts.}
}
\value{
  a table of dimension rep(maxValue,nrow(locs)) giving
  the number of each pixel combination.
}
\details{
  Unlike the original code the mps code uses crosstabulation instead of
  lookup trees to find combinations. This mainly because the package
  should make it possible to analyse the behaviour rather and the
  crosstabulations rather than being used for pure production perposes. 
  \cr
  There are two different ways of weighting facies
  implemented. \code{mps.xtabulate} uses the inconsistent way of
  changing the weights multiplicatively in each
  table. \code{weightedtabulate} uses the way of downweighting image
  locations according to their neighbourhood.  

}
\references{
}
\seealso{
}
\examples{
data(chanalEx1)
bwTraining <- mps.cutoff(chanalEx1)
locs <- mps.locSetStar(1,4,0)
locs
ct1 <-  mps.tabulate(bwTraining,locs)
ftable(as.table(ct1))
ct2 <-  mps.xtabulate(bwTraining,locs,c(1,2,2),c(0,0,45))
ftable(ct2)

ct3 <-  mps.xtabulate(bwTraining,locs,c(1,2,2),c(0,0,45),sym=TRUE)
ftable(ct3)


}
\author{K.Gerald van den Boogaart}
\keyword{}